<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Index &mdash; cflowpy Jule 2023 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/sphinx_highlight.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            cflowpy
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">cflowpy:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="tutorial.html">Tutorial</a></li>
<li class="toctree-l1"><a class="reference internal" href="grid.html">Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="physical_problem.html">Physical Problem</a></li>
<li class="toctree-l1"><a class="reference internal" href="integrator.html">Integrator</a></li>
<li class="toctree-l1"><a class="reference internal" href="system.html">Solving the incompressible Navier-Stokes Equation</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">cflowpy</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Index</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#_"><strong>_</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#J"><strong>J</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#U"><strong>U</strong></a>
 
</div>
<h2 id="_">_</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="PhysicalProblems/cavity_flow.html#src.Cavity_flow.__init__">__init__() (src.Cavity_flow method)</a>

      <ul>
        <li><a href="grid.html#src.Grid.__init__">(src.Grid method)</a>
</li>
        <li><a href="integrator.html#src.Integrator.__init__">(src.Integrator method)</a>
</li>
        <li><a href="physical_problem.html#src.PhysicalProblem.__init__">(src.PhysicalProblem method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_flow.html#src.Pipe_flow.__init__">(src.Pipe_flow method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_flow.html#src.Pipe_flow_pressure_driven.__init__">(src.Pipe_flow_pressure_driven method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_with_a_backward_facing_step.html#src.Pipe_with_a_backward_facing_step.__init__">(src.Pipe_with_a_backward_facing_step method)</a>
</li>
        <li><a href="system.html#src.System.__init__">(src.System method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="integrator.html#src.Integrator.adaptive_step_size">adaptive_step_size() (src.Integrator method)</a>
</li>
      <li><a href="PhysicalProblems/cavity_flow.html#src.Cavity_flow.apply_bcs_pressure">apply_bcs_pressure() (src.Cavity_flow method)</a>

      <ul>
        <li><a href="physical_problem.html#src.PhysicalProblem.apply_bcs_pressure">(src.PhysicalProblem method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_flow.html#src.Pipe_flow.apply_bcs_pressure">(src.Pipe_flow method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_flow.html#src.Pipe_flow_pressure_driven.apply_bcs_pressure">(src.Pipe_flow_pressure_driven method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_with_a_backward_facing_step.html#src.Pipe_with_a_backward_facing_step.apply_bcs_pressure">(src.Pipe_with_a_backward_facing_step method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="PhysicalProblems/cavity_flow.html#src.Cavity_flow.apply_bcs_velocity">apply_bcs_velocity() (src.Cavity_flow method)</a>

      <ul>
        <li><a href="physical_problem.html#src.PhysicalProblem.apply_bcs_velocity">(src.PhysicalProblem method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_flow.html#src.Pipe_flow.apply_bcs_velocity">(src.Pipe_flow method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_flow.html#src.Pipe_flow_pressure_driven.apply_bcs_velocity">(src.Pipe_flow_pressure_driven method)</a>
</li>
        <li><a href="PhysicalProblems/pipe_with_a_backward_facing_step.html#src.Pipe_with_a_backward_facing_step.apply_bcs_velocity">(src.Pipe_with_a_backward_facing_step method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="grid.html#src.Grid.central_fd">central_fd() (src.Grid method)</a>
</li>
      <li><a href="grid.html#src.Grid.central_fd_deg1">central_fd_deg1() (src.Grid method)</a>
</li>
      <li><a href="grid.html#src.Grid.central_fd_deg2">central_fd_deg2() (src.Grid method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="system.html#src.System.check_residual">check_residual() (src.System method)</a>
</li>
      <li><a href="system.html#src.System.check_stability">check_stability() (src.System method)</a>
</li>
      <li><a href="system.html#src.System.contourfigure">contourfigure() (src.System method)</a>
</li>
      <li><a href="system.html#src.System.create_gif">create_gif() (src.System method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="integrator.html#src.Integrator.explicit_Euler">explicit_Euler() (src.Integrator method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="grid.html#src.Grid.get_dx">get_dx() (src.Grid method)</a>
</li>
      <li><a href="grid.html#src.Grid.get_dy">get_dy() (src.Grid method)</a>
</li>
      <li><a href="integrator.html#src.Integrator.get_methods">get_methods() (src.Integrator method)</a>
</li>
      <li><a href="grid.html#src.Grid.get_p">get_p() (src.Grid method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="grid.html#src.Grid.get_u">get_u() (src.Grid method)</a>
</li>
      <li><a href="grid.html#src.Grid.get_v">get_v() (src.Grid method)</a>
</li>
      <li><a href="grid.html#src.Grid.get_x">get_x() (src.Grid method)</a>
</li>
      <li><a href="grid.html#src.Grid.get_y">get_y() (src.Grid method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="physical_problem.html#src.PhysicalProblem.initialize_system">initialize_system() (src.PhysicalProblem method)</a>

      <ul>
        <li><a href="PhysicalProblems/pipe_with_a_backward_facing_step.html#src.Pipe_with_a_backward_facing_step.initialize_system">(src.Pipe_with_a_backward_facing_step method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="J">J</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="grid.html#src.Grid.jacobi">jacobi() (src.Grid method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="grid.html#src.Grid.laplace">laplace() (src.Grid method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="integrator.html#src.Integrator.Runge_Kutta_4">Runge_Kutta_4() (src.Integrator method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="system.html#src.System.save_data">save_data() (src.System method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="system.html#src.System.solve">solve() (src.System method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="system.html#src.System.update_dt">update_dt() (src.System method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="system.html#src.System.update_time">update_time() (src.System method)</a>
</li>
  </ul></td>
</tr></table>



           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Jan Habscheid.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>